Bug 252813 - deskutils/owncloudclient: Update to 2.8.2
Summary: deskutils/owncloudclient: Update to 2.8.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Li-Wen Hsu
URL: https://owncloud.com/changelog/desktop/
Keywords:
Depends on:
Blocks:
 
Reported: 2021-01-18 20:48 UTC by Daniel Morante
Modified: 2021-07-31 19:56 UTC (History)
2 users (show)

See Also:


Attachments
patch to update port (5.49 KB, patch)
2021-01-18 20:48 UTC, Daniel Morante
no flags Details | Diff
patch to update port (6.29 KB, patch)
2021-01-20 03:00 UTC, Daniel Morante
no flags Details | Diff
patch to update port (6.31 KB, patch)
2021-01-23 01:33 UTC, Daniel Morante
no flags Details | Diff
Git diff (6.61 KB, patch)
2021-07-31 19:09 UTC, Daniel Morante
daniel: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Morante 2021-01-18 20:48:27 UTC
Created attachment 221717 [details]
patch to update port

Updated port to upstream version 2.7.4.  Changes include:

- Remove a patch that has already been added upstream (files/patch-src_libsync_networkjobs.cpp)
- Change DISTNAME and MASTER_SITES to match new download URL
- Add to CMAKE_ARGS 'SYSCONF_INSTALL_DIR'
- Add and remove items from pkg-plist
- Updated patches.

Regarding patch file (files/patch-src_libsync_configfile.cpp), would it make more sense to just delete the code instead of adding those macros?
Comment 1 Fernando Apesteguía freebsd_committer 2021-01-19 18:34:59 UTC
^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field.

Q/A: PLIST_SUB after CMAKE_ARGS
USE_LDCONFIG should be in USES block
DISTNAME should be after MASTER_SITES
BOOL values en CMAKE_ARGS might use CMAKE_ON and CMAKE_OFF

Thanks!
Comment 2 Daniel Morante 2021-01-20 03:00:14 UTC
Created attachment 221752 [details]
patch to update port

New patch to address Q/A issues and any issues reported by `make stage-qa`.  I wasn't able to figure out what is meant by "USE_LDCONFIG should be in USES block".  There is no information about that in the Porter's Handbook.  Would you be able to help me understand with an example?
Comment 3 Fernando Apesteguía freebsd_committer 2021-01-20 08:17:20 UTC
(In reply to Daniel Morante from comment #2)
I meant something like this:

Index: Makefile
===================================================================
--- Makefile    (revisión: 562106)
+++ Makefile    (copia de trabajo)
@@ -2,11 +2,12 @@
 # $FreeBSD$

 PORTNAME=      owncloudclient
-DISTVERSION=   2.6.0
-DISTVERSIONSUFFIX=     .13018
+DISTVERSION=   2.7.4
+DISTVERSIONSUFFIX=     .2934
 CATEGORIES=    deskutils
-MASTER_SITES=  https://download.owncloud.com/desktop/stable/
-# owncloudclient-2.6.0.13018.tar.xz
+MASTER_SITES=  https://download.owncloud.com/desktop/ownCloud/stable/${DISTVERSION}${DISTVERSIONSUFFIX}/source/
+DISTNAME=      ownCloud-${DISTVERSION}${DISTVERSIONSUFFIX}
+# owncloudclient-2.7.4.2934.tar.xz

 MAINTAINER=    ports@FreeBSD.org
 COMMENT=       OwnCloud Desktop Syncing Client
@@ -18,22 +19,24 @@
                libqt5keychain.so:security/qtkeychain

 USES=          cmake:noninja compiler:c++11-lib gmake iconv kde:5 \
-               localbase:ldflags pkgconfig qt:5 sqlite tar:xz
+               localbase:ldflags pkgconfig qt:5 sqlite tar:xz desktop-file-utils \
+               shared-mime-info
+USE_KDE=       completion config coreaddons jobwidgets kio service widgetsaddons \
+               windowsystem
+USE_LDCONFIG=  yes
 USE_QT=                buildtools_build concurrent core dbus gui linguist_build network \
                qmake_build sql webkit widgets xml
-USE_KDE=       completion config coreaddons jobwidgets kio service widgetsaddons
-CMAKE_ARGS=    -DBUILD_WITH_QT4:BOOL=OFF \
-               -DCMAKE_INSTALL_MANDIR:STRING=man \
-               -DWITH_DOC:BOOL=OFF \
-               -DWITH_STACK_PROTECTOR:BOOL=OFF
-USE_LDCONFIG=  yes

+CMAKE_ARGS=    -DCMAKE_INSTALL_MANDIR:STRING=man \
+               -DSYSCONF_INSTALL_DIR="${PREFIX}/etc"
+CMAKE_OFF=     BUILD_WITH_QT4 WITH_DOC WITH_STACK_PROTECTOR
+
+PLIST_SUB=     VERSION=${PORTVERSION}
+
 OPTIONS_DEFINE=                DEBUG

 DEBUG_CMAKE_ON=                -DCMAKE_BUILD_TYPE:STRING=Debug

-PLIST_SUB=     VERSION=${PORTVERSION}
-
 post-patch:
        @${REINPLACE_CMD} -e \
                's|.lst |.lst.sample |' ${WRKSRC}/CMakeLists.txt

You can use portclippy (from ports-mgmt/portfmt)
Comment 4 Daniel Morante 2021-01-23 01:33:36 UTC
Created attachment 221819 [details]
patch to update port

Thanks, I didn't know about that tool.  It's very helpful.  This updated diff should pass those tests.
Comment 5 Li-Wen Hsu freebsd_committer 2021-07-31 18:53:59 UTC
(In reply to Daniel Morante from comment #4)
Thanks for the patch, it builds fine in poudriere and there is only some minor style nites which I can fix that for you.  The more important part is, this port current has no maintainer, are you interested in taking care of it?

Also, we can commit the update port to 2.7.4 first of course,  but please note the upstream has 2.8.2 now. Are you willing to update it to the latest release version?
Comment 6 Daniel Morante 2021-07-31 19:09:53 UTC
Created attachment 226822 [details]
Git diff

(In reply to Li-Wen Hsu from comment #5)

Yeah, seems like your timing is perfect. I have been working on the new 2.8.2 version and was just about to update this bug.  

Also, yes I would like to take maintainer.

Updated patch is attached.
Comment 7 Li-Wen Hsu freebsd_committer 2021-07-31 19:56:31 UTC
Committed, with minor adjustments. Thanks!
Comment 8 commit-hook freebsd_committer 2021-07-31 19:56:40 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=36abc263a4bb4590d3f152bf1b95c8ca5fed90a8

commit 36abc263a4bb4590d3f152bf1b95c8ca5fed90a8
Author:     Daniel Morante <daniel@morante.net>
AuthorDate: 2021-07-31 19:50:31 +0000
Commit:     Li-Wen Hsu <lwhsu@FreeBSD.org>
CommitDate: 2021-07-31 19:54:44 +0000

    deskutils/owncloudclient: Update to 2.8.2

    PR:             252813

 deskutils/owncloudclient/Makefile                  | 34 ++++++++++++----------
 deskutils/owncloudclient/distinfo                  |  6 ++--
 .../files/patch-src_gui_owncloudgui.cpp            |  6 ++--
 .../files/patch-src_libsync_configfile.cpp         | 12 ++++----
 .../files/patch-src_libsync_networkjobs.cpp (gone) | 10 -------
 deskutils/owncloudclient/pkg-plist                 |  6 ++--
 6 files changed, 32 insertions(+), 42 deletions(-)